Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class KeyStatisticsReportDB

    java.lang.Object
      com.sun.mdm.index.ops.ObjectPersistenceService
          com.sun.mdm.index.report.KeyStatisticsReportDB

All Implemented Interfaces:
  java.io.Serializable

public class KeyStatisticsReportDB
extends ObjectPersistenceService

Key Statistics Report DB class for retrieving statistic data from database

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.ops.ObjectPersistenceService
``

Constructor Summary
`KeyStatisticsReportDB()` default constructor

Method Summary
`int` | `getCountByDates(java.sql.Connection conn, java.util.Date startDate, java.util.Date endDate)` Retrieves transaction count by transaction begin and end dates, inclusive
`int` | `getCountByDatesNFunction(java.sql.Connection conn, java.util.Date startDate, java.util.Date endDate, java.lang.String function)` Retrieves transaction count by transaction begin and end dates and function
`int` | `getDailyCount(java.sql.Connection conn, java.util.Date transDate)` Retrieves transaction count by transaction date.
`int` | `getDailyCountByFunction(java.sql.Connection conn, java.util.Date transDate, java.lang.String function)` Retrieves transaction count by Function and transaction date.
`int` | `getResolvedPotDupByDates(java.sql.Connection conn, java.util.Date startDate, java.util.Date endDate)` Retrieves resolved potential duplicate count by transaction begin and end dates, inclusive.
`int` | `getUnresolvedPotDupByDates(java.sql.Connection conn, java.util.Date startDate, java.util.Date endDate)` Retrieves unresolved potential duplicate count by transaction begin and end dates,inclusive.

Methods inherited from class com.sun.mdm.index.ops.ObjectPersistenceService
`finalize, getStatement, getValue, init, log, setParam, setParamBlob, setParamBlob, sql2str`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStatisticsReportDB

    public KeyStatisticsReportDB()
                          throws OPSException

  default constructor

Method Detail

### getCountByDates

    public int getCountByDates(java.sql.Connection conn,
                               java.util.Date startDate,
                               java.util.Date endDate)
                        throws OPSException

  Retrieves transaction count by transaction begin and end dates, inclusive

  Parameters:
    `conn` - JDBC connection handle.
    `startDate` - Begin date of transaction.
    `endDate` - End date of transaction.
  Returns:
    number of transactions specified by begin and end dates.
  Throws:
    `OPSException` - if an error is encountered.

### getCountByDatesNFunction

    public int getCountByDatesNFunction(java.sql.Connection conn,
                                        java.util.Date startDate,
                                        java.util.Date endDate,
                                        java.lang.String function)
                                 throws OPSException

  Retrieves transaction count by transaction begin and end dates and function

  Parameters:
    `conn` - JDBC connection handle.
    `startDate` - Begin date of transaction.
    `endDate` - End date of transaction.
    `function` - Function of transaction.
  Returns:
    number of transactions specified by function, begin and end dates.
  Throws:
    `OPSException` - if an error is encountered.

### getDailyCount

    public int getDailyCount(java.sql.Connection conn,
                             java.util.Date transDate)
                      throws OPSException

  Retrieves transaction count by transaction date.

  Parameters:
    `conn` - JDBC connection handle.
    `transDate` - Date of transaction.
  Returns:
    Number of transactions specified by timestamp.
  Throws:
    `OPSException` - if an error is encountered.

### getDailyCountByFunction

    public int getDailyCountByFunction(java.sql.Connection conn,
                                       java.util.Date transDate,
                                       java.lang.String function)
                                throws OPSException

  Retrieves transaction count by Function and transaction date.

  Parameters:
    `conn` - JDBC connection handle.
    `transDate` - Date of transaction.
    `function` - Function of transaction.
  Returns:
    Number of transactions specified by function and timestamp.
  Throws:
    `OPSException` - if an error is encountered.

### getResolvedPotDupByDates

    public int getResolvedPotDupByDates(java.sql.Connection conn,
                                        java.util.Date startDate,
                                        java.util.Date endDate)
                                 throws OPSException

  Retrieves resolved potential duplicate count by transaction begin and end dates, inclusive.

  Parameters:
    `conn` - JDBC connection handle.
    `startDate` - Begin date of transaction.
    `endDate` - End date of transaction.
  Returns:
    number of resolved potential duplicates specified by begin and end dates.
  Throws:
    `OPSException` - if an error is encountered.

### getUnresolvedPotDupByDates

    public int getUnresolvedPotDupByDates(java.sql.Connection conn,
                                          java.util.Date startDate,
                                          java.util.Date endDate)
                                   throws OPSException

  Retrieves unresolved potential duplicate count by transaction begin and end dates,inclusive.

  Parameters:
    `conn` - JDBC connection handle.
    `startDate` - Begin date of transaction.
    `endDate` - End date of transaction.
  Returns:
    number of unresolved potential duplicates specified by begin and end dates, inclusive.
  Throws:
    `OPSException` - if an error is encountered.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.